## org.gnu.gtk.event
Class OptionMenuEvent

    java.lang.Object
      org.gnu.gtk.event.GtkEvent
          org.gnu.gtk.event.OptionMenuEvent

All Implemented Interfaces:
  java.io.Serializable

public class OptionMenuEvent
extends GtkEvent

An event represeting action by a `OptionMenu` widget.

See Also:
  Serialized Form

Nested Class Summary
`static class` `OptionMenuEvent.Type` Type of a OptionMenuEvent

Field Summary

Fields inherited from class org.gnu.gtk.event.GtkEvent
`source, type`

Constructor Summary
`OptionMenuEvent(java.lang.Object source, OptionMenuEvent.Type type)` Creates a new OptionMenu Event.

Method Summary
`boolean` `isOfType(OptionMenuEvent.Type type)`

Methods inherited from class org.gnu.gtk.event.GtkEvent
`getSource, getType, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### OptionMenuEvent

    public OptionMenuEvent(java.lang.Object source,
                           OptionMenuEvent.Type type)

  Creates a new OptionMenu Event. This is used internally by java-gnome. Users only have to deal with listeners.

Method Detail

### isOfType

    public boolean isOfType(OptionMenuEvent.Type type)

  Returns:
    True if the type of this event is the same as that stated.